SAP Knowledge Base Article - Preview

2397945 - Feature Request: To support Python 3.latest - SDK for SAP ASE

Symptom

  • Can't use the python module with Python 3.5, 3.6 or 3.7
  • Connection does not work with messages :

Traceback (most recent call last):
  File "C:\$SAP\OCS-16_0\sample\python\test.py", line 53, in <module>
    import sybpydb
ImportError: DLL load failed: The specified module could not be found.

  • Does ASE support latest Python version?
  • Which Python version does ASE support?


Read more...

Environment

  • SAP Software Developers Kit (SDK) for Adaptive Server Enterprise (ASE) 16.0
  • Adaptive Server Enterprise extension module for Python
    • Python 3.5.x
    • Python 3.6.x
    • Python 3.7.x

Product

SAP Adaptive Server Enterprise SDK 16.0

Keywords

ocs, sdk, CR#803839, CR803839, 803839 , KBA , BC-SYB-SDK , SDK , Product Enhancement

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.